# Common Errors

#### No artifacts Built

When I generate the quick build, no artifacts are built.

```
➜  flxbl-demo git:(main) sfp orchestrator:quickbuild -v DXScaleProd --branch main
------------------------------------------------------------------------------------------
sfp  -- Salesforce Package Manager -Version:30.3.5 -Release:January 24
------------------------------------------------------------------------------------------
command: quickbuild
Build Packages Only Changed: false
Config File Path: config/project-scratch-def.json
Artifact Directory: artifacts
------------------------------------------------------------------------------------------
Packages scheduled for build
                                
 Package   Reason to be built 
                                

Resolving dependencies

Validating Project Dependencies...



Building Packages




Generating Artifacts and Tags....
```

Resolutions:

````
Confirm that you have added the additional attributes in your sfdx-project.json file.  If you have not edited, then it will not generate.


{
  "packageDirectories": [
    {
      "path": "force-app",
      "package": "force-app",
      "versionNumber": "1.0.0.1",      
      "default": true
    }
  ],
  "name": "flxbl-demo",
  "namespace": "",
  "sfdcLoginUrl": "https://login.salesforce.com",
  "sourceApiVersion": "59.0"
}
```

````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flxbl.io/flxbl/sfp/faqs/common-errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
